TTemplateInputArgumentList
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TTemplateInputArgumentList,TTemplateInputArgumentList class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TTemplateInputArgumentList

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TTemplateInputArgumentList

public class TTemplateInputArgumentList
extends java.lang.Object

Constructor Summary
`TTemplateInputArgumentList(CompositeTransformation trans)`
`TTemplateInputArgumentList(int trans_id)`

Method Summary
`TTemplateInputArgument` | `addArgument(Schema s)`
`TTemplateInputArgument` | `addArgument(SchemaObject o)`
`TTemplateInputArgument` | `addArgument(SchemaObject[] objectArray)`
`TTemplateInputArgument` | `addArgument(java.lang.String s)`
`TTemplateInputArgument` | `addArgument(java.lang.String[] array)`
`RuntimeArgumentSequence` | `createArgumentSequence(java.util.Vector v)`
`CompositeTransformationRecord` | `executeTransformation()`
`TTemplateInputArgument[]` | `getInputArguments()`
`java.lang.String` | `getTemplateName()`
`protected void` | `initialiseArguments()`
`void` | `updateRepositoryWithRuntimeArguments()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTemplateInputArgumentList

    public TTemplateInputArgumentList(CompositeTransformation trans)
                               throws java.lang.Exception

### TTemplateInputArgumentList

    public TTemplateInputArgumentList(int trans_id)
                               throws java.lang.Exception

Method Detail

### initialiseArguments

    protected void initialiseArguments()
                                throws java.lang.Exception

    `java.lang.Exception`

### getInputArguments

    public TTemplateInputArgument[] getInputArguments()

### addArgument

    public TTemplateInputArgument addArgument(Schema s)
                                       throws TemplateDefinitionException,
                                              AutoRepException

    `TemplateDefinitionException`
    `AutoRepException`

### addArgument

    public TTemplateInputArgument addArgument(SchemaObject o)
                                       throws TemplateDefinitionException,
                                              AutoRepException

    `TemplateDefinitionException`
    `AutoRepException`

### addArgument

    public TTemplateInputArgument addArgument(java.lang.String s)
                                       throws TemplateDefinitionException,
                                              AutoRepException

    `TemplateDefinitionException`
    `AutoRepException`

### addArgument

    public TTemplateInputArgument addArgument(java.lang.String[] array)
                                       throws TemplateDefinitionException,
                                              AutoRepException

    `TemplateDefinitionException`
    `AutoRepException`

### addArgument

    public TTemplateInputArgument addArgument(SchemaObject[] objectArray)
                                       throws TemplateDefinitionException,
                                              AutoRepException

    `TemplateDefinitionException`
    `AutoRepException`

### executeTransformation

    public CompositeTransformationRecord executeTransformation()
                                                        throws TemplateDefinitionException

    `TemplateDefinitionException`

### updateRepositoryWithRuntimeArguments

    public void updateRepositoryWithRuntimeArguments()
                                              throws TemplateDefinitionException

    `TemplateDefinitionException`

### createArgumentSequence

    public RuntimeArgumentSequence createArgumentSequence(java.util.Vector v)
                                                   throws TemplateDefinitionException

    `TemplateDefinitionException`

### getTemplateName

    public java.lang.String getTemplateName()
                                     throws TemplateDefinitionException

    `TemplateDefinitionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD